[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Grids' (#lcl)

# TCustomDrawGrid.GridMouseWheel

Performs actions when the mouse wheel is scrolled in the grid control.

## Declaration

Source position: grids.pas line 1430

`protected procedure TCustomDrawGrid.GridMouseWheel(`
`shift: TShiftState;`
`Delta: Integer`
`); override;`

## Arguments

`shift` |  | Shift state modifier in effect for the action.
`Delta` |  | Relative change in the current mouse wheel position for the action.

## Description

GridMouseWheel is an overridden method in TCustomDrawGrid used to perform actions when the mouse wheel is scrolled while the grid control has focus. Mouse wheel behavior is determined by the MouseWheelOption property.

When set to mwCursor, the mouse wheel controls the selected row or column in the grid. It increases or decreases the selected row number in the grid by default. Press Ctrl + Mouse Wheel to change the selected column number in the grid.

When set to mwGrid, the mouse wheel scrolls the visible non-fixed columns and rows in the grid control. It scrolls the visible rows up or down by default. Press Ctrl + MouseWheel to scroll the visible columns in the grid control. Mouse wheel movement has no affect when the number of visible columns or rows is not larger than the non-fixed display area for the grid control.